package com.chinaitop.depot.intelligent.ventilation.mapper;

import com.chinaitop.depot.intelligent.ventilation.model.TVentilation;
import com.chinaitop.depot.intelligent.ventilation.model.TVentilationExample;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface TVentilationMapper {
    int countByExample(TVentilationExample example);

    int deleteByExample(TVentilationExample example);

    int deleteByPrimaryKey(String id);

    int insert(TVentilation record);

    int insertSelective(TVentilation record);

    List<TVentilation> selectByExample(TVentilationExample example);

    TVentilation selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TVentilation record, @Param("example") TVentilationExample example);

    int updateByExample(@Param("record") TVentilation record, @Param("example") TVentilationExample example);

    int updateByPrimaryKeySelective(TVentilation record);

    int updateByPrimaryKey(TVentilation record);

    void insertBatch(List<TVentilation> tEnergyInfos);

    TVentilation getByCode(Map<String, Object> modelMap);
}